Page MenuHomeLubuntu Development

Add Jenkins nagging to Lugito
ClosedPublic

Authored by tsimonq2 on Apr 23 2020, 2:08 PM.

Details

Diff Detail

Repository
rLUGITO Lugito
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tsimonq2 requested review of this revision.Apr 23 2020, 2:08 PM
tsimonq2 created this revision.
apt-ghetto requested changes to this revision.Apr 23 2020, 7:48 PM
apt-ghetto added a subscriber: apt-ghetto.

A unit test for jenkins.py would be very nice with some fake data.

I have two failing tests with pytest. Is this Python3 or Python2?

lugito/connectors/jenkins.py
120

undefined variable job_name

lugito/webhooks.py
193

Overwrites the function of line 169

jenkinsprojectstatus() or write_jenkins_project_status_to_irc() might be better than a generic name like jenkinstrigger()

This revision now requires changes to proceed.Apr 23 2020, 7:48 PM
tsimonq2 updated this revision to Diff 276.Apr 23 2020, 11:23 PM

Address @apt-ghetto's inline comments.

tsimonq2 marked 2 inline comments as done.Apr 23 2020, 11:24 PM

Could you look at this again, @apt-ghetto?

I addressed your inline comments. As for tests, this all should be Python 3.

I did notice a lot of the source could probably be cleaned out because of that, but I simply haven't quite had the motivation (yet). For now, I'd say that's a separate thing.

apt-ghetto accepted this revision.Apr 25 2020, 3:12 PM

Looks good to me.

This revision is now accepted and ready to land.Apr 25 2020, 3:12 PM
teward accepted this revision.May 26 2020, 3:55 PM
This revision was automatically updated to reflect the committed changes.